| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Image
Image.Image

# Method Image.Image()->skewx_expand()

Method skewx_expand

  `object skewx(int x)`
  `object skewx(float yfactor)`
  `object skewx(int x, int r, int g, int b)`
  `object skewx(float yfactor, int r, int g, int b)`
  `object skewx_expand(int x)`
  `object skewx_expand(float yfactor)`
  `object skewx_expand(int x, int r, int g, int b)`
  `object skewx_expand(float yfactor, int r, int g, int b)`

Description

  Skews an image an amount of pixels or a factor; a skew-x is a transformation:

  original | ->skewx(15,255,0,0); | ->skewx_expand(15);

Parameter `x`

  the number of pixels The "expand" variant of functions stretches the image border pixels rather then filling with the given or current color.

Parameter `yfactor`

  best described as: x=yfactor*this->ysize()

Parameter `r`
Parameter `g`
Parameter `b`

  color to fill with; default is current

Returns

  the new image object